Bug 38672 - Configure mail forwarding via UDM/UMC
Configure mail forwarding via UDM/UMC
Status: RESOLVED WONTFIX
Product: UCS
Classification: Unclassified
Component: Mail
UCS 4.0
Other Linux
: P5 enhancement with 2 votes (vote)
: UCS 4.0-x
Assigned To: Mail maintainers
:
Depends on: 42249 44948
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-09 08:57 CEST by Sönke Schwardt-Krummrich
Modified: 2019-01-03 07:17 CET (History)
4 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2015-06-09 08:57:49 CEST
Currently mail forwarding has to be configured manually in config files. A configuration via UMC/UDM has been requested several times:
http://forum.univention.de/viewtopic.php?f=11&t=4057&p=14792
http://forum.univention.de/viewtopic.php?t=4070&p=14839

This feature is important for environments where the mail spool is hosted on premise, no MX entry is used and home office users use the external mailboxes at the provider.

2 features should be implemented:

1) Readressing and forwarding to external mail servers
Mail is accepted as user1@local-domain.de and the forwarded to user1account@external-provider.de.
The admin should be able to
- choose between "copy" and "redirection/no local copy" and
- specify multiple target adresses.
The recipient address in the envelope will be rewritten; a MX lookup is performed for the target mail address.

2) Routing to external mail servers
Mail is accepted as user1@local-domain.de and the redirected to an external mail server; similar to the mailHomeServer but easier to set up;
the admin has to specify a FQDN or IP adress for the external mail server; no MX lookup is performed; recipient address in envelope is not rewritten/rewritten to mailPrimaryAddress.
This feature is used, if the same DNS mail domain is used on premise and at the provider while single mailboxes for home office users are hosted at the provider only. So the admin can define, that incoming mails for home office users are redirected directly to the provider.

In both scenarios postfix has to be able to authenticate itself at the external mail servers (if configured).
Comment 1 Nico Gulden univentionstaff 2016-07-05 12:13:26 CEST
Item "1) Readressing and forwarding to external mail servers" was requested by a partner.
Comment 2 Stefan Gohmann univentionstaff 2016-12-13 08:10:44 CET
The Enterprise Customer affected flag is set but neither a Ticket number is referenced nor a Customer ID is set. Please set a Ticket number or a Customer ID. Otherwise the Enterprise Customer affected flag will be reset.
Comment 3 Nico Gulden univentionstaff 2016-12-13 08:54:54 CET
(In reply to Stefan Gohmann from comment #2)
> The Enterprise Customer affected flag is set but neither a Ticket number is
> referenced nor a Customer ID is set. Please set a Ticket number or a
> Customer ID. Otherwise the Enterprise Customer affected flag will be reset.

Partners are not listed in "Customer ID", as the name already says. There also is no Ticket#. There have only been calls with the partner.
Comment 4 Florian Best univentionstaff 2016-12-13 09:25:22 CET
(In reply to Nico Gulden from comment #3)
> (In reply to Stefan Gohmann from comment #2)
> > The Enterprise Customer affected flag is set but neither a Ticket number is
> > referenced nor a Customer ID is set. Please set a Ticket number or a
> > Customer ID. Otherwise the Enterprise Customer affected flag will be reset.
> 
> Partners are not listed in "Customer ID", as the name already says. There
> also is no Ticket#. There have only been calls with the partner.
But they have got a customer id? Then we can easily add them.
Comment 5 Nico Gulden univentionstaff 2017-02-14 09:08:19 CET
Customer feedback at Ticket#2017021321000348.
Comment 6 Daniel Tröder univentionstaff 2017-04-27 10:41:18 CEST
Part 1) Readressing and forwarding to external mail servers has been addressed in Bug #42249.
Comment 7 Stefan Gohmann univentionstaff 2019-01-03 07:17:36 CET
This issue has been filled against UCS 4.0. The maintenance with bug and security fixes for UCS 4.0 has ended on 31st of May 2016.

Customers still on UCS 4.0 are encouraged to update to UCS 4.3. Please contact
your partner or Univention for any questions.

If this issue still occurs in newer UCS versions, please use "Clone this bug" or simply reopen the issue. In this case please provide detailed information on how this issue is affecting you.